
QGIS Application - Bug report #13427

Range widget not working with NULLs

2015-09-25 11:12 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21474

Description

if using the Range widget with `Allow NULL` selected, when editing a cell, the existing value is replaced with NULL, and the spinbox is not

active.

Disallowing the option fixes the issue.

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-03-07 05:50 PM - Paolo Cavallini

- Resolution set to fixed/implemented

- Affected QGIS version changed from 2.10.1 to 3.0.0

- Status changed from Open to Closed

- Description updated

Fixed at least in QGIS 3.
